RIO(1)

NAME
rio - program to control a Diamond RIO MP3 player

SYNOPSIS
rio [options] files ...

DESCRIPTION
This manual page documents briefly the rio command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

rio is a CLI controller for a Diamond Rio MP3 file player.

The default ioport is 0x378. If this is not the ioport for your printer port, you will have to use the -p option.

INITIALIZATION

Initialization should only be performed on new or corrupt cards. You can initialize with bad block checking enabled (-iy) which will test all blocks on the internal or external flash ram (which ever is selected) and note all bad blocks. This process will take some time (upto 20 minutes on slow machines). You can also initialize with bad block checking disabled (-in) which is much quicker but all blocks (even bad blocks) will be used.

If you want to delete all files on the device, the (-za) option should be used instead of using the initialization options mentioned above.

OPTIONS
A summary of options are included below.

-d  Display Directory

-iy initialize with check for bad blocks

-in initialize without check for bad blocks

-x  perform operations on external flash ram

-u  specify file(s) to upload

-g  specify file to download

-f  specify text based playlist file which contains files to be upload

-z  specify file to delete

-za delete all files

-o  specify new playlist order in quotes

-p  specify parallel port base IO address, default=0x378

-v  enable verbose mode

-di specify initialization delay

-dt specify tx delay

-dr specify rx delay

EXAMPLES

display directory using parallel port at 0x278

rio -p 0x278 -d

initialize (with bad block check) and upload files

rio -iy -u *.mp3

delete existing files and upload playlist onto external flash ram

rio -za -f playlist.txt -x

initialize, upload files in playlist and then display directory

rio -d -in -f playlist.txt

download file then delete it and finally display directory

rio -d -g mp3Files/song.mp3 -z song.mp3

reverse playlist order and display directory, also change rx iodelay

rio -o "5 4 3 2 1" -d -dr 4

SEE ALSO
file:/usr/doc/rio/README.gz http://www.world.co.uk.sba/index.htm

AUTHOR
This manual page was written by Vince Mulhollon <vlm@debian.org>, for the Debian GNU/Linux system (but may be used by others).